unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Vcl.Graphics, Vcl.Controls,
  Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VclTee.TeEngine, VclTee.Series,
  VclTee.OHLChart, VclTee.CandleCh, VclTee.TeeComma, Vcl.ExtCtrls,
  VclTee.TeeProcs, VclTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TCandleSeries;
    procedure FormCreate(Sender: TObject);
    procedure Chart1Resize(Sender: TObject);
    procedure Chart1Zoom(Sender: TObject);
  private
    { Private declarations }    
    const SAMPLE_COUNT = 10;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.Align:=alClient;
  Series1.AutoSize := False;
  Series1.FillSampleValues(SAMPLE_COUNT);
end;

procedure TForm1.Chart1Resize(Sender: TObject);
begin
  Series1.CandleWidth := (Chart1.Width - 250) div SAMPLE_COUNT;
end;

procedure TForm1.Chart1Zoom(Sender: TObject);
begin
  Chart1Resize(Chart1);
end;

end.
